<app-type-selector [allowedTypes]="allowedTypes" (dataTypeChange)="createInputComponent($event)"></app-type-selector>
<mat-divider *ngIf="dataType?.item != undefined" class="mt-3 mb-3"></mat-divider>
<div>
    <ng-template #viewContainerRef></ng-template>
</div>